curl --request GET \
--url https://firstpromoter.com/api/v1/promoters/show \
--header 'X-API-KEY: <api-key>'import requests
url = "https://firstpromoter.com/api/v1/promoters/show"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://firstpromoter.com/api/v1/promoters/show', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"status": "approved",
"cust_id": "<string>",
"email": "<string>",
"created_at": "<string>",
"temp_password": "<string>",
"default_promotion_id": 128833,
"pref": "<string>",
"default_ref_id": "<string>",
"note": "<string>",
"w8_form_url": "<string>",
"w9_form_url": "<string>",
"parent_promoter_id": "<string>",
"earnings_balance": {
"cash": 3000,
"credits": 300,
"discount_per": 30
},
"current_balance": {
"cash": 1000,
"credits": 200,
"discount_per": 15
},
"paid_balance": {
"cash": 2000,
"credits": 100,
"discount_per": 15
},
"auth_token": "<string>",
"profile": {
"first_name": "<string>",
"last_name": "<string>",
"website": "<string>",
"company_name": "<string>",
"phone_number": "<string>",
"address": "<string>",
"vat_id": "<string>",
"country": "<string>",
"paypal_email": "<string>",
"avatar_url": "<string>",
"description": "<string>",
"social_accounts": {
"twitter": {
"url": "<string>"
},
"youtube": {
"url": "<string>"
},
"facebook": {
"url": "<string>"
},
"linkedin": {
"url": "<string>"
},
"instagram": {
"url": "<string>"
}
}
},
"promotions": [
{
"id": 123,
"status": "<string>",
"ref_id": "<string>",
"promo_code": "<string>",
"customer_promo_code": "<string>",
"target_reached_at": {},
"promoter_id": 123,
"campaign_id": 123,
"referral_link": "<string>",
"current_offer": {
"id": 123,
"name": "<string>",
"amount": 123,
"unit": "<string>",
"default_promo_code": "<string>"
},
"current_referral_reward": {
"id": 123,
"amount": 123,
"unit": "<string>",
"name": "<string>",
"per_of_sale": 123,
"default_promo_code": "<string>"
},
"current_promotion_reward": {},
"current_target_reward": {},
"campaign_name": "<string>",
"hidden": true,
"visitors_count": 123,
"leads_count": 123,
"customers_count": 123,
"refunds_count": 123,
"cancellations_count": 123,
"sales_count": 123,
"sales_total": 123,
"refunds_total": 123,
"active_customers_count": 123
}
],
"custom_fields": {},
"promo_codes": [
{
"id": 123,
"code": "<string>",
"reward": {
"id": 123,
"name": "<string>"
}
}
]
}"Bad credentials"{
"error": "Promoter not found."
}{
"error": "You need to find the promoter either by id, cust_id, auth_token, ref_id, promoter_email or promo_code"
}Show promoter details and balance
You can identify promoters by: id , cust_id , auth_token , promoter_email or ref_id(referral id). You need to pass at least one of these parameters.
GET https://firstpromoter.com/api/v1/promoters/showAuthorizations
Query Parameters
required if promoter_email, ref_id, auth_token or cust_id is null
`The promoter's ID inside FirstPromoter
required if id, ref_id, auth_token or cust_id is null
The promoter's email
required if id, ref_id, auth_token or promoter_email is null
Your customer's user ID inside your application/system for the promoter.
required if the promoter_email,auth_token, id or cust_id is null
Referral ID.
required if the promoter_email, id, ref_id or cust_id is null
Authentication token generated when the promoter was created
Response
Show promoters response
The promoter's ID inside FirstPromoter
Promoter's status
approved, pending, denied Your customer's user ID inside your application/system for the promoter. This will be included in the webhook event and can be used to identify the promoter in your system if you subscribe for FirstPromoter's webhooks.
Promoter's email
ISO date string when the promoter signed up
A temporary password the promoter can use to log in to their dashboard if you don't use authentication tokens(auth_token) to sign promoters in automatically.
Promoter's default promotion id
128833
Promoter's parent referral id.
Promoter's default referral id
A note/description of promoter
The w8 form url
The w9 form url
Parent promoter id
Promoter's earnings balance. This object can contain cash, credits, discount_per
Show child attributes
Show child attributes
Promoter's current balance. This object can contain cash, credits, discount_per
Show child attributes
Show child attributes
Promoter's paid balance. This object can contain cash, credits, discount_per
Show child attributes
Show child attributes
Authentication token generated when the promoter was created
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Key-value pairs of custom fields configured for this promoter
Promo codes associated with this promoter
Show child attributes
Show child attributes